%define upstream_name    Dist-Zilla-Plugin-LocaleMsgfmt
%define upstream_version 1.203

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Dist::Zilla plugin that compiles Local::Msgfmt .po files to .mo files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 1.93.250
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Locale::Msgfmt) >= 0.140.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::File)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
Put the following in your dist.ini

    [LocaleMsgfmt]
    locale = share/locale ;; (optional)

This plugin will compile all of the .po files it finds in the locale
directory into .mo files, via Locale::Msgfmt.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.203.0-11.mga10
+ Revision: 2198566
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.203.0-10.mga9
+ Revision: 1803292
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.203.0-9.mga8
+ Revision: 1494353
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.203.0-8.mga7
+ Revision: 1267540
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.203.0-7.mga6
+ Revision: 1026280
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.203.0-6.mga6
+ Revision: 948238
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.203.0-5.mga5
+ Revision: 741556
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.203.0-3.mga4
+ Revision: 511012
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.203.0-2.mga3
+ Revision: 366243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.203.0-1.mga2
+ Revision: 106862
- update to 1.203

* Wed Jan 26 2011 jquelin <jquelin> 1.202.0-1.mga1
+ Revision: 40456
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-LocaleMsgfmt

